DHD
Description: declaration: package: com.forcedimension.sdk, class: DHD

Package com.forcedimension.sdk

# Class DHD

java.lang.Object
com.forcedimension.sdk.DHD

public class DHD extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEVICE_CONTROLLER`
  `static final int`
  `DEVICE_CONTROLLER_HR`
  `static final int`
  `DEVICE_CUSTOM`
  `static final int`
  `DEVICE_DELTA3`
  `static final int`
  `DEVICE_FALCON`
  `static final int`
  `DEVICE_LAMBDA3`
  `static final int`
  `DEVICE_LAMBDA7_LEFT`
  `static final int`
  `DEVICE_LAMBDA7_RIGHT`
  `static final int`
  `DEVICE_NONE`
  `static final int`
  `DEVICE_OMEGA3`
  `static final int`
  `DEVICE_OMEGA6_LEFT`
  `static final int`
  `DEVICE_OMEGA6_RIGHT`
  `static final int`
  `DEVICE_OMEGA7_LEFT`
  `static final int`
  `DEVICE_OMEGA7_RIGHT`
  `static final int`
  `DEVICE_SIGMA3`
  `static final int`
  `DEVICE_SIGMA7_LEFT`
  `static final int`
  `DEVICE_SIGMA7_RIGHT`
  `static final int`
  `ERROR`
  `static final int`
  `ERROR_COM`
  `static final int`
  `ERROR_CONFIGURATION`
  `static final int`
  `ERROR_DEPRECATED`
  `static final int`
  `ERROR_DEVICE_IN_USE`
  `static final int`
  `ERROR_DEVICE_NOT_READY`
  `static final int`
  `ERROR_DHC_BUSY`
  `static final int`
  `ERROR_EXPERT_MODE_DISABLED`
  `static final int`
  `ERROR_FILE_NOT_FOUND`
  `static final int`
  `ERROR_GEOMETRY`
  `static final int`
  `ERROR_INVALID`
  `static final int`
  `ERROR_INVALID_INDEX`
  `static final int`
  `ERROR_NO_DEVICE_FOUND`
  `static final int`
  `ERROR_NO_DRIVER_FOUND`
  `static final int`
  `ERROR_NO_REGULATION`
  `static final int`
  `ERROR_NOT_AVAILABLE`
  `static final int`
  `ERROR_NOT_ENABLED`
  `static final int`
  `ERROR_NOT_IMPLEMENTED`
  `static final int`
  `ERROR_NULL_ARGUMENT`
  `static final int`
  `ERROR_OUT_OF_MEMORY`
  `static final int`
  `ERROR_REDUNDANT_FAIL`
  `static final int`
  `ERROR_TIMEOUT`
  `static final int`
  `MAX_BUTTONS`
  `static final int`
  `MAX_DOF`
  `static final int`
  `MAX_STATUS`
  `static final int`
  `NO_ERROR`
  `static final int`
  `STATUS_AXIS_CHECKED`
  `static final int`
  `STATUS_BRAKE`
  `static final int`
  `STATUS_CONNECTED`
  `static final int`
  `STATUS_ERROR`
  `static final int`
  `STATUS_FORCE`
  `static final int`
  `STATUS_FORCE_OFF_CAUSE`
  `static final int`
  `STATUS_GRAVITY`
  `static final int`
  `STATUS_IDLE`
  `static final int`
  `STATUS_LOCKS`
  `static final int`
  `STATUS_POWER`
  `static final int`
  `STATUS_REDUNDANCY`
  `static final int`
  `STATUS_RESET`
  `static final int`
  `STATUS_STARTED`
  `static final int`
  `STATUS_TIMEGUARD`
  `static final int`
  `STATUS_TORQUE`
  `static final int`
  `STATUS_WRIST_DETECTED`
  `static final int`
  `STATUS_WRIST_INIT`
  `static final int`
  `VELOCITY_INSTANT`
  `static final int`
  `VELOCITY_WINDOW`
  `static final int`
  `VELOCITY_WINDOWING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DHD()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `CalibrateWrist()`
  Java wrapper for dhdCalibrateWrist()
  `int`
  `CheckControllerMemory()`
  Java wrapper for dhdCheckControllerMemory()
  `int`
  `Close()`
  Java wrapper for dhdClose()
  `int`
  `ConfigAngularVelocity(int ms, int mode)`
  Java wrapper for dhdConfigAngularVelocity()
  `int`
  `ConfigGripperVelocity(int ms, int mode)`
  Java wrapper for dhdConfigGripperVelocity()
  `int`
  `ConfigLinearVelocity(int ms, int mode)`
  Java wrapper for dhdConfigLinearVelocity()
  `int`
  `ControllerSetDevice(int type)`
  Java wrapper for dhdControllerSetDevice()
  `int`
  `DeltaEncodersToJointAngles(int[] e, double[] j)`
  Java wrapper for dhdDeltaEncodersToJointAngles()
  `int`
  `DeltaEncoderToPosition(int[] e, double[] p)`
  Java wrapper for dhdDeltaEncoderToPosition()
  `int`
  `DeltaForceToMotor(double[] f, int[] e, int[] m)`
  Java wrapper for dhdDeltaForceToMotor()
  `int`
  `DeltaGravityJointTorques(double[] j, double[] q)`
  Java wrapper for dhdDeltaGravityJointTorques()
  `int`
  `DeltaJointAnglesToEncoders(double[] j, int[] e)`
  Java wrapper for dhdDeltaJointAnglesToEncoders()
  `int`
  `DeltaJointAnglesToJacobian(double[] j, double[][] mat)`
  Java wrapper for dhdDeltaJointAnglesToJacobian()
  `int`
  `DeltaJointTorquesExtrema(double[] j, double[] minq, double[] maxq)`
  Java wrapper for dhdDeltaJointTorquesExtrema()
  `int`
  `DeltaMotorToForce(int[] m, int[] e, double[] f)`
  Java wrapper for dhdDeltaMotorToForce()
  `int`
  `DeltaPositionToEncoder(double[] p, int[] e)`
  Java wrapper for dhdDeltaPositionToEncoder()
  `int`
  `DisableExpertMode()`
  Java wrapper for dhdDisableExpertMode()
  `int`
  `EmulateButton(boolean on)`
  Java wrapper for dhdEmulateButton()
  `int`
  `EnableExpertMode()`
  Java wrapper for dhdEnableExpertMode()
  `int`
  `EnableForce(boolean on)`
  Java wrapper for dhdEnableForce()
  `int`
  `EnableGripperForce(boolean on)`
  Java wrapper for dhdEnableGripperForce()
  `static void`
  `EnableSimulator(boolean on)`
  Java wrapper for dhdEnableSimulator()
  `int`
  `GetAngularVelocityDeg(double[] v)`
  Java wrapper for dhdGetAngularVelocityDeg()
  `int`
  `GetAngularVelocityRad(double[] v)`
  Java wrapper for dhdGetAngularVelocityRad()
  `static int`
  `GetAvailableCount()`
  Java wrapper for dhdGetAvailableCount()
  `int`
  `GetBaseAngleXDeg(double[] a)`
  Java wrapper for dhdGetBaseAngleXDeg()
  `int`
  `GetBaseAngleXRad(double[] a)`
  Java wrapper for dhdGetBaseAngleXRad()
  `int`
  `GetBaseAngleZDeg(double[] a)`
  Java wrapper for dhdGetBaseAngleZDeg()
  `int`
  `GetBaseAngleZRad(double[] a)`
  Java wrapper for dhdGetBaseAngleZRad()
  `int`
  `GetButton(int index)`
  Java wrapper for dhdGetButton()
  `int`
  `GetButtonMask()`
  Java wrapper for dhdGetButtonMask()
  `double`
  `GetComFreq()`
  Java wrapper for dhdGetComFreq()
  `int`
  `GetComMode()`
  Java wrapper for dhdGetComMode()
  `int`
  `GetDeltaEncoders(int[] e)`
  Java wrapper for dhdGetDeltaEncoders()
  `int`
  `GetDeltaJacobian(double[][] mat)`
  Java wrapper for dhdGetDeltaJacobian()
  `int`
  `GetDeltaJointAngles(double[] j)`
  Java wrapper for dhdGetDeltaJointAngles()
  `int`
  `GetDeviceAngleDeg(double[] a)`
  Java wrapper for dhdGetDeviceAngleDeg()
  `int`
  `GetDeviceAngleRad(double[] a)`
  Java wrapper for dhdGetDeviceAngleRad()
  `static int`
  `GetDeviceCount()`
  Java wrapper for dhdGetDeviceCount()
  `byte`
  `GetDeviceID()`
  Java wrapper for dhdGetDeviceID()
  `int`
  `GetEffectorMass(double[] a)`
  Java wrapper for dhdGetEffectorMass()
  `int`
  `GetEnc(int[] e, byte mask)`
  Java wrapper for dhdGetEnc()
  `int`
  `GetEncoder(int index)`
  Java wrapper for dhdGetEncoder()
  `int`
  `GetEncRange(int[] encMin, int[] encMax)`
  Java wrapper for dhdGetEncRange()
  `int`
  `GetEncVelocities(double[] j)`
  Java wrapper for dhdGetEncVelocities()
  `static String`
  `GetErrorString(int error)`
  Java wrapper for dhdErrorGetStr()
  `int`
  `GetForce(double[] f)`
  Java wrapper for dhdGetForce()
  `int`
  `GetForceAndTorque(double[] f, double[] t)`
  Java wrapper for dhdGetForceAndTorque()
  `int`
  `GetForceAndTorqueAndGripperForce(double[] f, double[] t, double[] g)`
  Java wrapper for dhdGetForceAndTorqueAndGripperForce()
  `int`
  `GetGripperAngleDeg(double[] a)`
  Java wrapper for dhdGetGripperAngleDeg()
  `int`
  `GetGripperAngleRad(double[] a)`
  Java wrapper for dhdGetGripperAngleRad()
  `int`
  `GetGripperAngularVelocityDeg(double[] v)`
  Java wrapper for dhdGetGripperAngularVelocityDeg()
  `int`
  `GetGripperAngularVelocityRad(double[] v)`
  Java wrapper for dhdGetGripperAngularVelocityRad()
  `int`
  `GetGripperEncoder(int[] e)`
  Java wrapper for dhdGetGripperEncoder()
  `int`
  `GetGripperFingerPos(double[] p)`
  Java wrapper for dhdGetGripperFingerPos()
  `int`
  `GetGripperGap(double[] p)`
  Java wrapper for dhdGetGripperGap()
  `int`
  `GetGripperLinearVelocity(double[] v)`
  Java wrapper for dhdGetGripperLinearVelocity()
  `int`
  `GetGripperThumbPos(double[] p)`
  Java wrapper for dhdGetGripperThumbPos()
  `int`
  `GetJointAngleRange(double[] jmin, double[] jmax)`
  Java wrapper for dhdGetJointAngleRange()
  `int`
  `GetJointAngles(double[] j)`
  Java wrapper for dhdGetJointAngles()
  `int`
  `GetJointVelocities(double[] j)`
  Java wrapper for dhdGetJointVelocities()
  `static int`
  `GetLastError()`
  Java wrapper for dhdErrorGetLast()
  `static String`
  `GetLastErrorString()`
  Java wrapper for dhdErrorGetLastStr()
  `int`
  `GetLinearVelocity(double[] v)`
  Java wrapper for dhdGetLinearVelocity()
  `double`
  `GetMaxForce()`
  Java wrapper for dhdGetMaxForce()
  `double`
  `GetMaxGripperForce()`
  Java wrapper for dhdGetMaxGripperForce()
  `double`
  `GetMaxTorque()`
  Java wrapper for dhdGetMaxTorque()
  `int`
  `GetOrientationDeg(double[] o)`
  Java wrapper for dhdGetOrientationDeg()
  `int`
  `GetOrientationFrame(double[][] mat)`
  Java wrapper for dhdGetOrientationFrame()
  `int`
  `GetOrientationRad(double[] o)`
  Java wrapper for dhdGetOrientationRad()
  `int`
  `GetPosition(double[] p)`
  Java wrapper for dhdGetPosition()
  `int`
  `GetPositionAndOrientationDeg(double[] p, double[] o)`
  Java wrapper for dhdGetPositionAndOrientationDeg()
  `int`
  `GetPositionAndOrientationFrame(double[] p, double[][] mat)`
  Java wrapper for dhdGetPositionAndOrientationFrame()
  `int`
  `GetPositionAndOrientationRad(double[] p, double[] o)`
  Java wrapper for dhdGetPositionAndOrientationRad()
  `static void`
  `GetSDKVersion(int[] version)`
  Java wrapper for dhdGetSDKVersion()
  `static String`
  `GetSDKVersionString()`
  Java wrapper for dhdGetSDKVersionStr()
  `int`
  `GetSerialNumber(int[] s)`
  Java wrapper for dhdGetSerialNumber()
  `int`
  `GetStatus(int[] status)`
  Java wrapper for dhdGetStatus()
  `static long`
  `GetSystemCounter()`
  Java wrapper for dhdGetSystemCounter()
  `String`
  `GetSystemName()`
  Java wrapper for dhdGetSystemName()
  `int`
  `GetSystemRev()`
  Java wrapper for dhdGetSystemRev()
  `int`
  `GetSystemType()`
  Java wrapper for dhdGetSystemType()
  `static double`
  `GetTime()`
  Java wrapper for dhdGetTime()
  `int`
  `GetVelocityThreshold(int[] val)`
  Java wrapper for dhdGetVelocityThreshold()
  `int`
  `GetVersion(double[] version)`
  Java wrapper for dhdGetVersion()
  `int`
  `GetWatchdog(int[] val)`
  Java wrapper for dhdGetWatchdog()
  `int`
  `GetWristEncoders(int[] e)`
  Java wrapper for dhdGetWristEncoders()
  `int`
  `GetWristJacobian(double[][] mat)`
  Java wrapper for dhdGetWristJacobian()
  `int`
  `GetWristJointAngles(double[] j)`
  Java wrapper for dhdGetWristJointAngles()
  `int`
  `GripperAngleRadToEncoder(double a, int[] e)`
  Java wrapper for dhdGripperAngleRadToEncoder()
  `int`
  `GripperEncoderToAngleRad(int e, double[] a)`
  Java wrapper for dhdGripperEncoderToAngleRad()
  `int`
  `GripperEncoderToGap(int e, double[] p)`
  Java wrapper for dhdGripperEncoderToGap()
  `int`
  `GripperForceToMotor(double f, int[] m, int[] e)`
  Java wrapper for dhdGripperForceToMotor()
  `int`
  `GripperGapToEncoder(double p, int[] e)`
  Java wrapper for dhdGripperGapToEncoder()
  `int`
  `GripperMotorToForce(int m, double[] f, int[] e)`
  Java wrapper for dhdGripperMotorToForce()
  `boolean`
  `HasActiveGripper()`
  Java wrapper for dhdHasActiveGripper()
  `boolean`
  `HasActiveWrist()`
  Java wrapper for dhdHasActiveWrist()
  `boolean`
  `HasBase()`
  Java wrapper for dhdHasBase()
  `boolean`
  `HasGripper()`
  Java wrapper for dhdHasGripper()
  `boolean`
  `HasWrist()`
  Java wrapper for dhdHasWrist()
  `boolean`
  `IsLeftHanded()`
  Java wrapper for dhdIsLeftHanded()
  `int`
  `JointAnglesToGravityJointTorques(double[] j, double[] q, byte mask)`
  Java wrapper for dhdJointAnglesToGravityJointTorques()
  `int`
  `JointAnglesToInertiaMatrix(double[] j, double[][] mat)`
  Java wrapper for dhdJointAnglesToInertiaMatrix()
  `int`
  `Open()`
  Java wrapper for dhdOpen()
  `int`
  `OpenID(byte id)`
  Java wrapper for dhdOpenID()
  `int`
  `OpenSerial(int serial)`
  Java wrapper for dhdOpenSerial()
  `int`
  `OpenType(int type)`
  Java wrapper for dhdOpenType()
  `int`
  `PreloadMot(int[] m, byte mask)`
  Java wrapper for dhdPreloadMot()
  `int`
  `Preset(int[] e, byte mask)`
  Java wrapper for dhdPreset()
  `int`
  `Reset()`
  Java wrapper for dhdReset()
  `int`
  `ResetWrist()`
  Java wrapper for dhdResetWrist()
  `int`
  `SetBaseAngleXDeg(double a)`
  Java wrapper for dhdSetBaseAngleXDeg()
  `int`
  `SetBaseAngleXRad(double a)`
  Java wrapper for dhdSetBaseAngleXRad()
  `int`
  `SetBaseAngleZDeg(double a)`
  Java wrapper for dhdSetBaseAngleZDeg()
  `int`
  `SetBaseAngleZRad(double a)`
  Java wrapper for dhdSetBaseAngleZRad()
  `int`
  `SetBrakes(boolean on)`
  Java wrapper for dhdSetBrakes()
  `int`
  `SetBrk(byte mask)`
  Java wrapper for dhdSetBrk()
  `int`
  `SetComMode(int mode)`
  Java wrapper for dhdSetComMode()
  `int`
  `SetComModePriority(int priority)`
  Java wrapper for dhdSetComModePriority()
  `int`
  `SetDeltaJointTorques(double[] t)`
  Java wrapper for dhdSetDeltaJointTorques()
  `int`
  `SetDeltaMotor(int[] m)`
  Java wrapper for dhdSetDeltaMotor()
  `int`
  `SetDeviceAngleDeg(double angle)`
  Java wrapper for dhdSetDeviceAngleDeg()
  `int`
  `SetDeviceAngleRad(double angle)`
  Java wrapper for dhdSetDeviceAngleRad()
  `void`
  `SetDeviceID(byte id)`
  Java wrapper for dhdSetDevice()
  `int`
  `SetEffectorMass(double mass)`
  Java wrapper for dhdSetEffectorMass()
  `int`
  `SetForce(double[] f)`
  Java wrapper for dhdSetForce()
  `int`
  `SetForceAndGripperForce(double[] f, double g)`
  Java wrapper for dhdSetForceAndGripperForce()
  `int`
  `SetForceAndTorque(double[] f, double[] t)`
  Java wrapper for dhdSetForceAndTorque()
  `int`
  `SetForceAndTorqueAndGripperForce(double[] f, double[] t, double g)`
  Java wrapper for dhdSetForceAndTorqueAndGripperForce()
  `int`
  `SetGravityCompensation(boolean on)`
  Java wrapper for dhdSetGravityCompensation()
  `int`
  `SetGripperMotor(int m)`
  Java wrapper for dhdSetGripperMotor()
  `int`
  `SetJointTorques(double[] j, byte mask)`
  Java wrapper for dhdSetJointTorques()
  `int`
  `SetMaxForce(double f)`
  Java wrapper for dhdSetMaxForce()
  `int`
  `SetMaxGripperForce(double f)`
  Java wrapper for GripperdhdSetMaxForce()
  `int`
  `SetMaxTorque(double t)`
  Java wrapper for dhdSetMaxTorque()
  `int`
  `SetMot(int[] m, byte mask)`
  Java wrapper for dhdSetMot()
  `int`
  `SetMotor(int index, int m)`
  Java wrapper for dhdSetMotor()
  `int`
  `SetOutput(int output)`
  Java wrapper for dhdSetOutput()
  `int`
  `SetStandardGravity(double g)`
  Java wrapper for dhdSetStandardGravity()
  `int`
  `SetTimeGuard(int us)`
  Java wrapper for dhdSetTimeGuard()
  `int`
  `SetVelocityThreshold(int val)`
  Java wrapper for dhdSetVelocityThreshold()
  `int`
  `SetVibration(double f, double a, int t)`
  Java wrapper for dhdSetVibration()
  `int`
  `SetWatchdog(int val)`
  Java wrapper for dhdSetWatchdog()
  `int`
  `SetWristJointTorques(double[] t)`
  Java wrapper for dhdSetWristJointTorques()
  `int`
  `SetWristMotor(int[] m)`
  Java wrapper for dhdSetWristMotor()
  `static void`
  `Sleep(double sec)`
  Java wrapper for dhdSleep()
  `int`
  `Stop()`
  Java wrapper for dhdStop()
  `int`
  `UpdateEncoders()`
  Java wrapper for dhdUpdateEncoders()
  `int`
  `WaitForReset(int timeout)`
  Java wrapper for dhdWaitForReset()
  `int`
  `WristEncodersToJointAngles(int[] e, double[] j)`
  Java wrapper for dhdWristEncodersToJointAngles()
  `int`
  `WristEncoderToOrientation(int[] e, double[] o)`
  Java wrapper for dhdWristEncoderToOrientation()
  `int`
  `WristGravityJointTorques(double[] j, double[] q)`
  Java wrapper for dhdWristGravityJointTorques()
  `int`
  `WristJointAnglesToEncoders(double[] j, int[] e)`
  Java wrapper for dhdWristJointAnglesToEncoders()
  `int`
  `WristJointAnglesToJacobian(double[] j, double[][] mat)`
  Java wrapper for dhdWristJointAnglesToJacobian()
  `int`
  `WristJointTorquesExtrema(double[] j, double[] minq, double[] maxq)`
  Java wrapper for dhdWristJointTorquesExtrema()
  `int`
  `WristMotorToTorque(int[] m, int[] e, double[] t)`
  Java wrapper for dhdWristMotorToTorque()
  `int`
  `WristOrientationToEncoder(double[] o, int[] e)`
  Java wrapper for dhdWristOrientationToEncoder()
  `int`
  `WristTorqueToMotor(double[] t, int[] e, int[] m)`
  Java wrapper for dhdWristTorqueToMotor()

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_DOF

    public static final int MAX_DOF
    See Also:
      - Constant Field Values

  - ### MAX_BUTTONS

    public static final int MAX_BUTTONS
    See Also:
      - Constant Field Values

  - ### DEVICE_NONE

    public static final int DEVICE_NONE
    See Also:
      - Constant Field Values

  - ### DEVICE_DELTA3

    public static final int DEVICE_DELTA3
    See Also:
      - Constant Field Values

  - ### DEVICE_OMEGA3

    public static final int DEVICE_OMEGA3
    See Also:
      - Constant Field Values

  - ### DEVICE_OMEGA6_RIGHT

    public static final int DEVICE_OMEGA6_RIGHT
    See Also:
      - Constant Field Values

  - ### DEVICE_OMEGA6_LEFT

    public static final int DEVICE_OMEGA6_LEFT
    See Also:
      - Constant Field Values

  - ### DEVICE_OMEGA7_RIGHT

    public static final int DEVICE_OMEGA7_RIGHT
    See Also:
      - Constant Field Values

  - ### DEVICE_OMEGA7_LEFT

    public static final int DEVICE_OMEGA7_LEFT
    See Also:
      - Constant Field Values

  - ### DEVICE_FALCON

    public static final int DEVICE_FALCON
    See Also:
      - Constant Field Values

  - ### DEVICE_CONTROLLER

    public static final int DEVICE_CONTROLLER
    See Also:
      - Constant Field Values

  - ### DEVICE_CONTROLLER_HR

    public static final int DEVICE_CONTROLLER_HR
    See Also:
      - Constant Field Values

  - ### DEVICE_CUSTOM

    public static final int DEVICE_CUSTOM
    See Also:
      - Constant Field Values

  - ### DEVICE_SIGMA3

    public static final int DEVICE_SIGMA3
    See Also:
      - Constant Field Values

  - ### DEVICE_SIGMA7_RIGHT

    public static final int DEVICE_SIGMA7_RIGHT
    See Also:
      - Constant Field Values

  - ### DEVICE_SIGMA7_LEFT

    public static final int DEVICE_SIGMA7_LEFT
    See Also:
      - Constant Field Values

  - ### DEVICE_LAMBDA3

    public static final int DEVICE_LAMBDA3
    See Also:
      - Constant Field Values

  - ### DEVICE_LAMBDA7_RIGHT

    public static final int DEVICE_LAMBDA7_RIGHT
    See Also:
      - Constant Field Values

  - ### DEVICE_LAMBDA7_LEFT

    public static final int DEVICE_LAMBDA7_LEFT
    See Also:
      - Constant Field Values

  - ### MAX_STATUS

    public static final int MAX_STATUS
    See Also:
      - Constant Field Values

  - ### STATUS_POWER

    public static final int STATUS_POWER
    See Also:
      - Constant Field Values

  - ### STATUS_CONNECTED

    public static final int STATUS_CONNECTED
    See Also:
      - Constant Field Values

  - ### STATUS_STARTED

    public static final int STATUS_STARTED
    See Also:
      - Constant Field Values

  - ### STATUS_RESET

    public static final int STATUS_RESET
    See Also:
      - Constant Field Values

  - ### STATUS_IDLE

    public static final int STATUS_IDLE
    See Also:
      - Constant Field Values

  - ### STATUS_FORCE

    public static final int STATUS_FORCE
    See Also:
      - Constant Field Values

  - ### STATUS_BRAKE

    public static final int STATUS_BRAKE
    See Also:
      - Constant Field Values

  - ### STATUS_TORQUE

    public static final int STATUS_TORQUE
    See Also:
      - Constant Field Values

  - ### STATUS_WRIST_DETECTED

    public static final int STATUS_WRIST_DETECTED
    See Also:
      - Constant Field Values

  - ### STATUS_ERROR

    public static final int STATUS_ERROR
    See Also:
      - Constant Field Values

  - ### STATUS_GRAVITY

    public static final int STATUS_GRAVITY
    See Also:
      - Constant Field Values

  - ### STATUS_TIMEGUARD

    public static final int STATUS_TIMEGUARD
    See Also:
      - Constant Field Values

  - ### STATUS_WRIST_INIT

    public static final int STATUS_WRIST_INIT
    See Also:
      - Constant Field Values

  - ### STATUS_REDUNDANCY

    public static final int STATUS_REDUNDANCY
    See Also:
      - Constant Field Values

  - ### STATUS_FORCE_OFF_CAUSE

    public static final int STATUS_FORCE_OFF_CAUSE
    See Also:
      - Constant Field Values

  - ### STATUS_LOCKS

    public static final int STATUS_LOCKS
    See Also:
      - Constant Field Values

  - ### STATUS_AXIS_CHECKED

    public static final int STATUS_AXIS_CHECKED
    See Also:
      - Constant Field Values

  - ### VELOCITY_WINDOWING

    public static final int VELOCITY_WINDOWING
    See Also:
      - Constant Field Values

  - ### VELOCITY_INSTANT

    public static final int VELOCITY_INSTANT
    See Also:
      - Constant Field Values

  - ### VELOCITY_WINDOW

    public static final int VELOCITY_WINDOW
    See Also:
      - Constant Field Values

  - ### NO_ERROR

    public static final int NO_ERROR
    See Also:
      - Constant Field Values

  - ### ERROR

    public static final int ERROR
    See Also:
      - Constant Field Values

  - ### ERROR_COM

    public static final int ERROR_COM
    See Also:
      - Constant Field Values

  - ### ERROR_DHC_BUSY

    public static final int ERROR_DHC_BUSY
    See Also:
      - Constant Field Values

  - ### ERROR_NO_DRIVER_FOUND

    public static final int ERROR_NO_DRIVER_FOUND
    See Also:
      - Constant Field Values

  - ### ERROR_NO_DEVICE_FOUND

    public static final int ERROR_NO_DEVICE_FOUND
    See Also:
      - Constant Field Values

  - ### ERROR_NOT_AVAILABLE

    public static final int ERROR_NOT_AVAILABLE
    See Also:
      - Constant Field Values

  - ### ERROR_TIMEOUT

    public static final int ERROR_TIMEOUT
    See Also:
      - Constant Field Values

  - ### ERROR_GEOMETRY

    public static final int ERROR_GEOMETRY
    See Also:
      - Constant Field Values

  - ### ERROR_EXPERT_MODE_DISABLED

    public static final int ERROR_EXPERT_MODE_DISABLED
    See Also:
      - Constant Field Values

  - ### ERROR_NOT_IMPLEMENTED

    public static final int ERROR_NOT_IMPLEMENTED
    See Also:
      - Constant Field Values

  - ### ERROR_OUT_OF_MEMORY

    public static final int ERROR_OUT_OF_MEMORY
    See Also:
      - Constant Field Values

  - ### ERROR_DEVICE_NOT_READY

    public static final int ERROR_DEVICE_NOT_READY
    See Also:
      - Constant Field Values

  - ### ERROR_FILE_NOT_FOUND

    public static final int ERROR_FILE_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### ERROR_CONFIGURATION

    public static final int ERROR_CONFIGURATION
    See Also:
      - Constant Field Values

  - ### ERROR_INVALID_INDEX

    public static final int ERROR_INVALID_INDEX
    See Also:
      - Constant Field Values

  - ### ERROR_DEPRECATED

    public static final int ERROR_DEPRECATED
    See Also:
      - Constant Field Values

  - ### ERROR_NULL_ARGUMENT

    public static final int ERROR_NULL_ARGUMENT
    See Also:
      - Constant Field Values

  - ### ERROR_REDUNDANT_FAIL

    public static final int ERROR_REDUNDANT_FAIL
    See Also:
      - Constant Field Values

  - ### ERROR_NOT_ENABLED

    public static final int ERROR_NOT_ENABLED
    See Also:
      - Constant Field Values

  - ### ERROR_DEVICE_IN_USE

    public static final int ERROR_DEVICE_IN_USE
    See Also:
      - Constant Field Values

  - ### ERROR_INVALID

    public static final int ERROR_INVALID
    See Also:
      - Constant Field Values

  - ### ERROR_NO_REGULATION

    public static final int ERROR_NO_REGULATION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DHD

    public DHD()

- ## Method Details

  - ### EnableSimulator

    public static void EnableSimulator(boolean on)
    Java wrapper for dhdEnableSimulator()

  - ### GetDeviceCount

    public static int GetDeviceCount()
    Java wrapper for dhdGetDeviceCount()

  - ### GetAvailableCount

    public static int GetAvailableCount()
    Java wrapper for dhdGetAvailableCount()

  - ### SetDeviceID

    public void SetDeviceID(byte id)
    Java wrapper for dhdSetDevice()

  - ### GetDeviceID

    public byte GetDeviceID()
    Java wrapper for dhdGetDeviceID()

  - ### GetSerialNumber

    public int GetSerialNumber(int[] s)
    Java wrapper for dhdGetSerialNumber()

  - ### Open

    public int Open()
    Java wrapper for dhdOpen()

  - ### OpenType

    public int OpenType(int type)
    Java wrapper for dhdOpenType()

  - ### OpenSerial

    public int OpenSerial(int serial)
    Java wrapper for dhdOpenSerial()

  - ### OpenID

    public int OpenID(byte id)
    Java wrapper for dhdOpenID()

  - ### Close

    public int Close()
    Java wrapper for dhdClose()

  - ### ControllerSetDevice

    public int ControllerSetDevice(int type)
    Java wrapper for dhdControllerSetDevice()

  - ### CheckControllerMemory

    public int CheckControllerMemory()
    Java wrapper for dhdCheckControllerMemory()

  - ### Stop

    public int Stop()
    Java wrapper for dhdStop()

  - ### GetComMode

    public int GetComMode()
    Java wrapper for dhdGetComMode()

  - ### EnableForce

    public int EnableForce(boolean on)
    Java wrapper for dhdEnableForce()

  - ### EnableGripperForce

    public int EnableGripperForce(boolean on)
    Java wrapper for dhdEnableGripperForce()

  - ### GetSystemType

    public int GetSystemType()
    Java wrapper for dhdGetSystemType()

  - ### GetSystemName

    public String GetSystemName()
    Java wrapper for dhdGetSystemName()

  - ### GetSystemRev

    public int GetSystemRev()
    Java wrapper for dhdGetSystemRev()

  - ### GetVersion

    public int GetVersion(double[] version)
    Java wrapper for dhdGetVersion()

  - ### GetSDKVersion

    public static void GetSDKVersion(int[] version)
    Java wrapper for dhdGetSDKVersion()

  - ### GetSDKVersionString

    public static String GetSDKVersionString()
    Java wrapper for dhdGetSDKVersionStr()

  - ### GetStatus

    public int GetStatus(int[] status)
    Java wrapper for dhdGetStatus()

  - ### GetDeviceAngleRad

    public int GetDeviceAngleRad(double[] a)
    Java wrapper for dhdGetDeviceAngleRad()

  - ### GetDeviceAngleDeg

    public int GetDeviceAngleDeg(double[] a)
    Java wrapper for dhdGetDeviceAngleDeg()

  - ### GetEffectorMass

    public int GetEffectorMass(double[] a)
    Java wrapper for dhdGetEffectorMass()

  - ### GetSystemCounter

    public static long GetSystemCounter()
    Java wrapper for dhdGetSystemCounter()

  - ### GetButton

    public int GetButton(int index)
    Java wrapper for dhdGetButton()

  - ### GetButtonMask

    public int GetButtonMask()
    Java wrapper for dhdGetButtonMask()

  - ### SetOutput

    public int SetOutput(int output)
    Java wrapper for dhdSetOutput()

  - ### IsLeftHanded

    public boolean IsLeftHanded()
    Java wrapper for dhdIsLeftHanded()

  - ### HasBase

    public boolean HasBase()
    Java wrapper for dhdHasBase()

  - ### HasWrist

    public boolean HasWrist()
    Java wrapper for dhdHasWrist()

  - ### HasActiveWrist

    public boolean HasActiveWrist()
    Java wrapper for dhdHasActiveWrist()

  - ### HasGripper

    public boolean HasGripper()
    Java wrapper for dhdHasGripper()

  - ### HasActiveGripper

    public boolean HasActiveGripper()
    Java wrapper for dhdHasActiveGripper()

  - ### Reset

    public int Reset()
    Java wrapper for dhdReset()

  - ### ResetWrist

    public int ResetWrist()
    Java wrapper for dhdResetWrist()

  - ### WaitForReset

    public int WaitForReset(int timeout)
    Java wrapper for dhdWaitForReset()

  - ### SetStandardGravity

    public int SetStandardGravity(double g)
    Java wrapper for dhdSetStandardGravity()

  - ### SetGravityCompensation

    public int SetGravityCompensation(boolean on)
    Java wrapper for dhdSetGravityCompensation()

  - ### SetBrakes

    public int SetBrakes(boolean on)
    Java wrapper for dhdSetBrakes()

  - ### SetDeviceAngleRad

    public int SetDeviceAngleRad(double angle)
    Java wrapper for dhdSetDeviceAngleRad()

  - ### SetDeviceAngleDeg

    public int SetDeviceAngleDeg(double angle)
    Java wrapper for dhdSetDeviceAngleDeg()

  - ### SetEffectorMass

    public int SetEffectorMass(double mass)
    Java wrapper for dhdSetEffectorMass()

  - ### GetPosition

    public int GetPosition(double[] p)
    Java wrapper for dhdGetPosition()

  - ### GetForce

    public int GetForce(double[] f)
    Java wrapper for dhdGetForce()

  - ### SetForce

    public int SetForce(double[] f)
    Java wrapper for dhdSetForce()

  - ### GetOrientationRad

    public int GetOrientationRad(double[] o)
    Java wrapper for dhdGetOrientationRad()

  - ### GetOrientationDeg

    public int GetOrientationDeg(double[] o)
    Java wrapper for dhdGetOrientationDeg()

  - ### GetPositionAndOrientationRad

    public int GetPositionAndOrientationRad(double[] p, double[] o)
    Java wrapper for dhdGetPositionAndOrientationRad()

  - ### GetPositionAndOrientationDeg

    public int GetPositionAndOrientationDeg(double[] p, double[] o)
    Java wrapper for dhdGetPositionAndOrientationDeg()

  - ### GetPositionAndOrientationFrame

    public int GetPositionAndOrientationFrame(double[] p, double[][] mat)
    Java wrapper for dhdGetPositionAndOrientationFrame()

  - ### GetForceAndTorque

    public int GetForceAndTorque(double[] f, double[] t)
    Java wrapper for dhdGetForceAndTorque()

  - ### SetForceAndTorque

    public int SetForceAndTorque(double[] f, double[] t)
    Java wrapper for dhdSetForceAndTorque()

  - ### GetOrientationFrame

    public int GetOrientationFrame(double[][] mat)
    Java wrapper for dhdGetOrientationFrame()

  - ### GetGripperAngleDeg

    public int GetGripperAngleDeg(double[] a)
    Java wrapper for dhdGetGripperAngleDeg()

  - ### GetGripperAngleRad

    public int GetGripperAngleRad(double[] a)
    Java wrapper for dhdGetGripperAngleRad()

  - ### GetGripperGap

    public int GetGripperGap(double[] p)
    Java wrapper for dhdGetGripperGap()

  - ### GetGripperThumbPos

    public int GetGripperThumbPos(double[] p)
    Java wrapper for dhdGetGripperThumbPos()

  - ### GetGripperFingerPos

    public int GetGripperFingerPos(double[] p)
    Java wrapper for dhdGetGripperFingerPos()

  - ### GetComFreq

    public double GetComFreq()
    Java wrapper for dhdGetComFreq()

  - ### SetForceAndGripperForce

    public int SetForceAndGripperForce(double[] f, double g)
    Java wrapper for dhdSetForceAndGripperForce()

  - ### SetForceAndTorqueAndGripperForce

    public int SetForceAndTorqueAndGripperForce(double[] f, double[] t, double g)
    Java wrapper for dhdSetForceAndTorqueAndGripperForce()

  - ### GetForceAndTorqueAndGripperForce

    public int GetForceAndTorqueAndGripperForce(double[] f, double[] t, double[] g)
    Java wrapper for dhdGetForceAndTorqueAndGripperForce()

  - ### ConfigLinearVelocity

    public int ConfigLinearVelocity(int ms, int mode)
    Java wrapper for dhdConfigLinearVelocity()

  - ### GetLinearVelocity

    public int GetLinearVelocity(double[] v)
    Java wrapper for dhdGetLinearVelocity()

  - ### ConfigAngularVelocity

    public int ConfigAngularVelocity(int ms, int mode)
    Java wrapper for dhdConfigAngularVelocity()

  - ### GetAngularVelocityRad

    public int GetAngularVelocityRad(double[] v)
    Java wrapper for dhdGetAngularVelocityRad()

  - ### GetAngularVelocityDeg

    public int GetAngularVelocityDeg(double[] v)
    Java wrapper for dhdGetAngularVelocityDeg()

  - ### ConfigGripperVelocity

    public int ConfigGripperVelocity(int ms, int mode)
    Java wrapper for dhdConfigGripperVelocity()

  - ### GetGripperLinearVelocity

    public int GetGripperLinearVelocity(double[] v)
    Java wrapper for dhdGetGripperLinearVelocity()

  - ### GetGripperAngularVelocityRad

    public int GetGripperAngularVelocityRad(double[] v)
    Java wrapper for dhdGetGripperAngularVelocityRad()

  - ### GetGripperAngularVelocityDeg

    public int GetGripperAngularVelocityDeg(double[] v)
    Java wrapper for dhdGetGripperAngularVelocityDeg()

  - ### EmulateButton

    public int EmulateButton(boolean on)
    Java wrapper for dhdEmulateButton()

  - ### GetBaseAngleXRad

    public int GetBaseAngleXRad(double[] a)
    Java wrapper for dhdGetBaseAngleXRad()

  - ### GetBaseAngleXDeg

    public int GetBaseAngleXDeg(double[] a)
    Java wrapper for dhdGetBaseAngleXDeg()

  - ### SetBaseAngleXRad

    public int SetBaseAngleXRad(double a)
    Java wrapper for dhdSetBaseAngleXRad()

  - ### SetBaseAngleXDeg

    public int SetBaseAngleXDeg(double a)
    Java wrapper for dhdSetBaseAngleXDeg()

  - ### GetBaseAngleZRad

    public int GetBaseAngleZRad(double[] a)
    Java wrapper for dhdGetBaseAngleZRad()

  - ### GetBaseAngleZDeg

    public int GetBaseAngleZDeg(double[] a)
    Java wrapper for dhdGetBaseAngleZDeg()

  - ### SetBaseAngleZRad

    public int SetBaseAngleZRad(double a)
    Java wrapper for dhdSetBaseAngleZRad()

  - ### SetBaseAngleZDeg

    public int SetBaseAngleZDeg(double a)
    Java wrapper for dhdSetBaseAngleZDeg()

  - ### SetVibration

    public int SetVibration(double f, double a, int t)
    Java wrapper for dhdSetVibration()

  - ### SetMaxForce

    public int SetMaxForce(double f)
    Java wrapper for dhdSetMaxForce()

  - ### SetMaxTorque

    public int SetMaxTorque(double t)
    Java wrapper for dhdSetMaxTorque()

  - ### SetMaxGripperForce

    public int SetMaxGripperForce(double f)
    Java wrapper for GripperdhdSetMaxForce()

  - ### GetMaxForce

    public double GetMaxForce()
    Java wrapper for dhdGetMaxForce()

  - ### GetMaxTorque

    public double GetMaxTorque()
    Java wrapper for dhdGetMaxTorque()

  - ### GetMaxGripperForce

    public double GetMaxGripperForce()
    Java wrapper for dhdGetMaxGripperForce()

  - ### EnableExpertMode

    public int EnableExpertMode()
    Java wrapper for dhdEnableExpertMode()

  - ### DisableExpertMode

    public int DisableExpertMode()
    Java wrapper for dhdDisableExpertMode()

  - ### Preset

    public int Preset(int[] e, byte mask)
    Java wrapper for dhdPreset()

  - ### CalibrateWrist

    public int CalibrateWrist()
    Java wrapper for dhdCalibrateWrist()

  - ### SetTimeGuard

    public int SetTimeGuard(int us)
    Java wrapper for dhdSetTimeGuard()

  - ### SetVelocityThreshold

    public int SetVelocityThreshold(int val)
    Java wrapper for dhdSetVelocityThreshold()

  - ### GetVelocityThreshold

    public int GetVelocityThreshold(int[] val)
    Java wrapper for dhdGetVelocityThreshold()

  - ### UpdateEncoders

    public int UpdateEncoders()
    Java wrapper for dhdUpdateEncoders()

  - ### GetDeltaEncoders

    public int GetDeltaEncoders(int[] e)
    Java wrapper for dhdGetDeltaEncoders()

  - ### GetWristEncoders

    public int GetWristEncoders(int[] e)
    Java wrapper for dhdGetWristEncoders()

  - ### GetGripperEncoder

    public int GetGripperEncoder(int[] e)
    Java wrapper for dhdGetGripperEncoder()

  - ### GetEncoder

    public int GetEncoder(int index)
    Java wrapper for dhdGetEncoder()

  - ### SetMotor

    public int SetMotor(int index, int m)
    Java wrapper for dhdSetMotor()

  - ### SetDeltaMotor

    public int SetDeltaMotor(int[] m)
    Java wrapper for dhdSetDeltaMotor()

  - ### SetWristMotor

    public int SetWristMotor(int[] m)
    Java wrapper for dhdSetWristMotor()

  - ### SetGripperMotor

    public int SetGripperMotor(int m)
    Java wrapper for dhdSetGripperMotor()

  - ### DeltaEncoderToPosition

    public int DeltaEncoderToPosition(int[] e, double[] p)
    Java wrapper for dhdDeltaEncoderToPosition()

  - ### DeltaPositionToEncoder

    public int DeltaPositionToEncoder(double[] p, int[] e)
    Java wrapper for dhdDeltaPositionToEncoder()

  - ### DeltaMotorToForce

    public int DeltaMotorToForce(int[] m, int[] e, double[] f)
    Java wrapper for dhdDeltaMotorToForce()

  - ### DeltaForceToMotor

    public int DeltaForceToMotor(double[] f, int[] e, int[] m)
    Java wrapper for dhdDeltaForceToMotor()

  - ### WristEncoderToOrientation

    public int WristEncoderToOrientation(int[] e, double[] o)
    Java wrapper for dhdWristEncoderToOrientation()

  - ### WristOrientationToEncoder

    public int WristOrientationToEncoder(double[] o, int[] e)
    Java wrapper for dhdWristOrientationToEncoder()

  - ### WristMotorToTorque

    public int WristMotorToTorque(int[] m, int[] e, double[] t)
    Java wrapper for dhdWristMotorToTorque()

  - ### WristTorqueToMotor

    public int WristTorqueToMotor(double[] t, int[] e, int[] m)
    Java wrapper for dhdWristTorqueToMotor()

  - ### GripperEncoderToAngleRad

    public int GripperEncoderToAngleRad(int e, double[] a)
    Java wrapper for dhdGripperEncoderToAngleRad()

  - ### GripperEncoderToGap

    public int GripperEncoderToGap(int e, double[] p)
    Java wrapper for dhdGripperEncoderToGap()

  - ### GripperAngleRadToEncoder

    public int GripperAngleRadToEncoder(double a, int[] e)
    Java wrapper for dhdGripperAngleRadToEncoder()

  - ### GripperGapToEncoder

    public int GripperGapToEncoder(double p, int[] e)
    Java wrapper for dhdGripperGapToEncoder()

  - ### GripperMotorToForce

    public int GripperMotorToForce(int m, double[] f, int[] e)
    Java wrapper for dhdGripperMotorToForce()

  - ### GripperForceToMotor

    public int GripperForceToMotor(double f, int[] m, int[] e)
    Java wrapper for dhdGripperForceToMotor()

  - ### SetMot

    public int SetMot(int[] m, byte mask)
    Java wrapper for dhdSetMot()

  - ### SetJointTorques

    public int SetJointTorques(double[] j, byte mask)
    Java wrapper for dhdSetJointTorques()

  - ### PreloadMot

    public int PreloadMot(int[] m, byte mask)
    Java wrapper for dhdPreloadMot()

  - ### GetEnc

    public int GetEnc(int[] e, byte mask)
    Java wrapper for dhdGetEnc()

  - ### SetBrk

    public int SetBrk(byte mask)
    Java wrapper for dhdSetBrk()

  - ### GetDeltaJointAngles

    public int GetDeltaJointAngles(double[] j)
    Java wrapper for dhdGetDeltaJointAngles()

  - ### GetDeltaJacobian

    public int GetDeltaJacobian(double[][] mat)
    Java wrapper for dhdGetDeltaJacobian()

  - ### DeltaJointAnglesToJacobian

    public int DeltaJointAnglesToJacobian(double[] j, double[][] mat)
    Java wrapper for dhdDeltaJointAnglesToJacobian()

  - ### DeltaJointTorquesExtrema

    public int DeltaJointTorquesExtrema(double[] j, double[] minq, double[] maxq)
    Java wrapper for dhdDeltaJointTorquesExtrema()

  - ### DeltaGravityJointTorques

    public int DeltaGravityJointTorques(double[] j, double[] q)
    Java wrapper for dhdDeltaGravityJointTorques()

  - ### SetDeltaJointTorques

    public int SetDeltaJointTorques(double[] t)
    Java wrapper for dhdSetDeltaJointTorques()

  - ### DeltaEncodersToJointAngles

    public int DeltaEncodersToJointAngles(int[] e, double[] j)
    Java wrapper for dhdDeltaEncodersToJointAngles()

  - ### DeltaJointAnglesToEncoders

    public int DeltaJointAnglesToEncoders(double[] j, int[] e)
    Java wrapper for dhdDeltaJointAnglesToEncoders()

  - ### GetWristJointAngles

    public int GetWristJointAngles(double[] j)
    Java wrapper for dhdGetWristJointAngles()

  - ### GetWristJacobian

    public int GetWristJacobian(double[][] mat)
    Java wrapper for dhdGetWristJacobian()

  - ### WristJointAnglesToJacobian

    public int WristJointAnglesToJacobian(double[] j, double[][] mat)
    Java wrapper for dhdWristJointAnglesToJacobian()

  - ### WristJointTorquesExtrema

    public int WristJointTorquesExtrema(double[] j, double[] minq, double[] maxq)
    Java wrapper for dhdWristJointTorquesExtrema()

  - ### WristGravityJointTorques

    public int WristGravityJointTorques(double[] j, double[] q)
    Java wrapper for dhdWristGravityJointTorques()

  - ### SetWristJointTorques

    public int SetWristJointTorques(double[] t)
    Java wrapper for dhdSetWristJointTorques()

  - ### WristEncodersToJointAngles

    public int WristEncodersToJointAngles(int[] e, double[] j)
    Java wrapper for dhdWristEncodersToJointAngles()

  - ### WristJointAnglesToEncoders

    public int WristJointAnglesToEncoders(double[] j, int[] e)
    Java wrapper for dhdWristJointAnglesToEncoders()

  - ### GetJointAngles

    public int GetJointAngles(double[] j)
    Java wrapper for dhdGetJointAngles()

  - ### GetJointVelocities

    public int GetJointVelocities(double[] j)
    Java wrapper for dhdGetJointVelocities()

  - ### GetEncVelocities

    public int GetEncVelocities(double[] j)
    Java wrapper for dhdGetEncVelocities()

  - ### JointAnglesToInertiaMatrix

    public int JointAnglesToInertiaMatrix(double[] j, double[][] mat)
    Java wrapper for dhdJointAnglesToInertiaMatrix()

  - ### JointAnglesToGravityJointTorques

    public int JointAnglesToGravityJointTorques(double[] j, double[] q, byte mask)
    Java wrapper for dhdJointAnglesToGravityJointTorques()

  - ### SetComMode

    public int SetComMode(int mode)
    Java wrapper for dhdSetComMode()

  - ### SetComModePriority

    public int SetComModePriority(int priority)
    Java wrapper for dhdSetComModePriority()

  - ### SetWatchdog

    public int SetWatchdog(int val)
    Java wrapper for dhdSetWatchdog()

  - ### GetWatchdog

    public int GetWatchdog(int[] val)
    Java wrapper for dhdGetWatchdog()

  - ### GetEncRange

    public int GetEncRange(int[] encMin, int[] encMax)
    Java wrapper for dhdGetEncRange()

  - ### GetJointAngleRange

    public int GetJointAngleRange(double[] jmin, double[] jmax)
    Java wrapper for dhdGetJointAngleRange()

  - ### GetTime

    public static double GetTime()
    Java wrapper for dhdGetTime()

  - ### Sleep

    public static void Sleep(double sec)
    Java wrapper for dhdSleep()

  - ### GetLastError

    public static int GetLastError()
    Java wrapper for dhdErrorGetLast()

  - ### GetLastErrorString

    public static String GetLastErrorString()
    Java wrapper for dhdErrorGetLastStr()

  - ### GetErrorString

    public static String GetErrorString(int error)
    Java wrapper for dhdErrorGetStr()